Subject: bug#1295: Segfault with `M-- M-r' when `scroll-margin' > 0

From: Teemu Likonen <[email-masked]>
Date: Mon, 03 Nov 2008 23:40:51 +0200

Chong Yidong (2008-11-03 14:54 -0500) wrote:

> Interesting.  This bug appears to be due to an interaction between Emacs
> and the window manager's size hints.  At least, I can't reproduce it
> with the latest CVS changes from today, in which a correction has been
> made to how Emacs sends size hints to the window manager:
>
> 2008-11-03  Chong Yidong  <[email-masked]>
>
> 	* term/x-win.el (x-initialize-window-system): Call
> 	x-wm-set-size-hint after initialization.
>
> Could you see whether the problem is fixed for you?

I'm not able to compile Emacs myself. For development versions I depend
on prepackaged snapshots[1]. Sorry. I'll try it when a new snapshot becomes
available.

----------
 1. http://emacs.orebokech.com/